%global forgeurl https://github.com/OpenPrinting/hplip-printer-app/

%global commit 0b285f19e1b898a59e355c2045bfc46bbea43400

%forgemeta

Name:           hplip-printer-app
Version:        0
Release:        2%{?dist}
License:        ASL 2.0
Summary:        Printer Application for hplip printers that uses PAPPL to support IPP printing from multiple operating systems.
URL:	        %{forgeurl}
Source0:        %{forgesource}
Source1:        hplip-printer-app.sysusers
#Services which run as root cannot create listener sockets
Patch0:         hplip-printer-app_service-user.patch
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:  systemd-rpm-macros
BuildRequires:  cups-devel
#Git builds so no pkgconfig
BuildRequires:  pappl-devel >= 1.1b2
BuildRequires:  pappl-retrofit-devel
BuildRequires:  cups-filters-devel >= 2.0.0

%description
ps-printer-app is a printer Application for HP and Apollo printers supported by
HP's HPLIP printers that uses PAPPL to support IPP printing from multiple
operating systems. In addition, it uses the resources of cups-filters 2.x
(filter functions in libcupsfilters, libppd) and pappl-retrofit (encapsulating
classic CUPS drivers in Printer Applications).

%prep
%forgesetup

%patch0 -p1

%build
%make_build

%install
%make_install libdir=%{buildroot}%{_libdir} serverbin=%{buildroot}%{_libdir}/hplip-printer-app

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/hplip-printer-app.conf

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post hplip-printer-app.service

%preun
%systemd_preun hplip-printer-app.service

%postun
%systemd_postun_with_restart hplip-printer-app.service

%files
%license
%{_bindir}/hplip-printer-app
%{_libdir}/hplip-printer-app
%{_unitdir}/hplip-printer-app.service
%{_mandir}/man1/hplip-printer-app.1.gz
%dir %{_datadir}/hplip-printer-app
%{_datadir}/hplip-printer-app/testpage.ps
%attr(-, hplip-printer-app, hplip-printer-app) %dir %{_sharedstatedir}/hplip-printer-app
%{_sysusersdir}/hplip-printer-app.conf

%changelog
* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20210926git0b285f1
- Run service as user hplip-printer-app

* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20210926git0b285f1
- Initial specfile
